sha256sum mismatch error installing Oracle Java 7 on crunchbang wheezy

I have spend the better part of today trying to install java 7 on my crunchbang distro. I originally had OpenJDK installed but ran into issues with a mumble server install. That is sorted now...

Cannot update anymore my Ubuntu 12.04: python 2.7 circular dependecy?

I'm trying to update my Ubuntu 12.04. But it's not possible anymore, because almost any package that I try to update I receive this error: $ sudo apt-get install cups Reading package lists......